import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import datetimeIcon from "@/assets/images/setting/datetime.png";

class DatePickerConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: "date",
    desc: "时间选择模式",
    type: "Select",
    config: {
      options: [
        { label: "时间", value: "time" },
        { label: "日期", value: "date" },
        { label: "月份", value: "month" },
        // { label: "年份", value: "year" },
      ],
    },
  })
  picker!: string;

  // @Property({
  //   def: false,
  //   desc: "是否是范围选择",
  //   type: "Checkbox",
  //   config: {},
  // })
  isRange = false;

  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: datetimeIcon,
  name: "日期",
  description: "",
})
export class DatePicker extends BaseFormComponent {
  constructor() {
    super();
    this.label = "日期";
    this.componentOption = new DatePickerConfig();
  }
}
