import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import textIcon from "@/assets/images/setting/text.png";

class TextConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: "请输入",
    desc: "提示文本",
    type: "TextInput",
    config: {
      placeholder: "请输入文本",
    },
  })
  placeholder!: string;
  @Property({
    desc: "前缀文本",
    type: "TextInput",
    config: {
      placeholder: "例如：¥",
    },
  })
  prefix?: string;
  @Property({
    desc: "后缀文本",
    type: "TextInput",
    config: {
      placeholder: "例如：RMB",
    },
  })
  suffix?: string;
  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: textIcon,
  name: "文本",
  description: "",
})
export class TextInput extends BaseFormComponent {
  constructor() {
    super();
    this.label = "文本";
    this.componentOption = new TextConfig();
  }
}
