export interface BaseNode {
  /** 节点id */
  elementId: string;
  /** 节点名称 */
  elementName: string;
  /** 节点类型 1 | 2 | 3 | 4  */
  elementType: number;
  /** 别名 */
  elementAlias?: string;
  /** 该节点是否显示 */
  //   show: Boolean;
}

export interface LineNode extends BaseNode {
  /** 线的起点 */
  from?: string;
  /** 线的终点 */
  to?: string;
  /** 失败条件 */
  conditionExpression?: string;
  /** 条件类型 */
  conditionType?: number;
}
/** 用户节点 */
export interface UserNode extends BaseNode {
  /** */
  assigneeKey?: string;

  signType?: string;
  /** 审批人类型 */
  approverType?: string;
  /** 人员列表 */
  approverList?: string;
  /** 全部或者指定审查处理的表单key值 */
  examineKeys?: "all" | string;
  /** 申请的范围 */
  scopeOfApplication?: string;
  /** 正向操作逆向操作的名字 */
  forwardAndReverseName?: string | string[];
  /** 1 申请节点 2 办理节点 3 审批节点 4 结束节点 */
  nodeType?: 1 | 2 | 3 | 4;
  /** 范围名称 */
  scopeCodeOfApplication?: string;
}

/** 流程图节点 */
export type FlowChartNode = LineNode & BaseNode & UserNode;

/** 移除掉show */
export type FlowChartNodeWithoutDisplay = Omit<FlowChartNode, "show">;
