import service from "@/service";
import { create } from "zustand";

interface GlobalData {
  mainBodyTypes: { name: string; id: string }[];
  initMainBodyTypes(): void;
}

/** 用户信息的全局状态管理 */
const useGlobalData = create<GlobalData>()((set) => ({
  mainBodyTypes: [],

  /** 更新 */
  initMainBodyTypes: () => {
    service.settingService.queryMainBodyTypes().then((res) => {
      if (res.code === 200) {
        set({ mainBodyTypes: res.data });
      } else {
        set({ mainBodyTypes: [] });
      }
    });
  },
}));

export default useGlobalData;
