import { create } from "zustand";

interface UserState {
  userInfo?: any;
  adminInfo?: API.UserInfo;
  updateUserInfo: (userInfo: any) => void;
  updateAdminInfo: (adminInfo?: API.UserInfo) => void;
}

/** 用户信息的全局状态管理 */
const useUserStore = create<UserState>()((set) => ({
  userInfo: undefined,
  adminInfo: undefined,
  /** 更新 */
  updateUserInfo: (userInfo: API.UserInfo) => {
    set({ userInfo });
  },

  updateAdminInfo: (adminInfo?: API.UserInfo) => {
    set({ adminInfo });
  },
}));

export default useUserStore;
